/* Fill some dictionary-like tables */

/* Fill OpMode table */

INSERT INTO OPMODE (Ident, Name, isHK, Description) VALUES (0, 'NOOP', 0, 'No Operation');
INSERT INTO OPMODE (Ident, Name, isHK, Description) VALUES (1, 'SND', 0, 'Sounding');
INSERT INTO OPMODE (Ident, Name, isHK, Description) VALUES (2, 'BIT', 1, 'Built-in Test');
INSERT INTO OPMODE (Ident, Name, isHK, Description) VALUES (3, 'CEQ', 0, 'Channel Equalizing');
INSERT INTO OPMODE (Ident, Name, isHK, Description) VALUES (4, 'TRKCAL', 1, 'Tracker Calibration');
COMMIT;

/* Fill TxStationType table */

INSERT INTO TxStationType (Ident, Name, Desc) VALUES (1, 'DIGISONDE', 'Digisonde');
INSERT INTO TxStationType (Ident, Name, Desc) VALUES (2, 'BEACON', 'Beacon');
COMMIT;

/* Fill BeaconType table */

INSERT INTO BeaconType (Ident, Name, Desc) VALUES (1, 'RADAR', 'Radar');
INSERT INTO BeaconType (Ident, Name, Desc) VALUES (2, 'IONOSONDE', 'Ionosonde');
INSERT INTO BeaconType (Ident, Name, Desc) VALUES (3, 'OTHERS', 'Others');
COMMIT;

/* Fill TxMode table */

INSERT INTO TxMode (Ident, Name, Desc) VALUES (1, 'NOT_SOUNDING_OPER', 'not sounding operation'); 
INSERT INTO TxMode (Ident, Name, Desc) VALUES (2, 'TX_ENABLED_VERTICAL', 'Tx enabled, vertical');
INSERT INTO TxMode (Ident, Name, Desc) VALUES (3, 'TX_DISABLED_CW_LISTEN', 'Tx disabled, CW listening'); 
INSERT INTO TxMode (Ident, Name, Desc) VALUES (4, 'TX_DISABLED_DIGI_LISTEN', 'Tx disabled, other Digisonde listening (D2D oblique sounding)');
COMMIT;

/* Fill DataProc table */

INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES ( 1, 1, 0, 'Raw');
INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES ( 2, 1, 1, 'Pulse Compression');
INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES ( 3, 1, 2, 'Sum Complementary');
INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES ( 4, 1, 3, 'Doppler');
INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES ( 5, 1, 4, 'Ionogram');
INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES ( 6, 1, 5, 'Average Over Heights');
INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES ( 7, 2, 0, 'Raw');
INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES ( 8, 3, 0, 'Raw');
INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES ( 9, 3, 1, 'Pulse Compression');
INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES (10, 3, 2, 'Sum Complementary');
INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES (11, 3, 3, 'Doppler');
INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES (12, 3, 4, 'Channel Equalizing Calc');
INSERT INTO DataProc (Ident, OpModeId, DPIndex, DPName) VALUES (13, 4, 0, 'Raw');
COMMIT;

/* Fill ProcStep table */

INSERT INTO ProcStep (Ident, Mnem, Name) VALUES ( 1, 'RFIM', 'Radio Frequency Interference Mitigator');
INSERT INTO ProcStep (Ident, Mnem, Name) VALUES ( 2, 'PCOMP', 'Pulse Compression');
INSERT INTO ProcStep (Ident, Mnem, Name) VALUES ( 3, 'SUM_COMPL', 'Sum Complementary Codes');
INSERT INTO ProcStep (Ident, Mnem, Name) VALUES ( 4, 'DOPPLER', 'Doppler Calculation');
INSERT INTO ProcStep (Ident, Mnem, Name) VALUES ( 5, 'IONOGRAM', 'Ionogram Calculation');
INSERT INTO ProcStep (Ident, Mnem, Name) VALUES ( 6, 'CEQ_CALC', 'Channel Equalizing Coefficients Calculation');
INSERT INTO ProcStep (Ident, Mnem, Name) VALUES ( 7, 'CEQ_APPL', 'Channel Equalizing Coefficients Application');
INSERT INTO ProcStep (Ident, Mnem, Name) VALUES ( 8, 'AVG_HGT', 'Average Over Heights');
INSERT INTO ProcStep (Ident, Mnem, Name) VALUES ( 9, 'TWIN_FREQ', 'Twin Frequencies Extractor');
INSERT INTO ProcStep (Ident, Mnem, Name) VALUES (10, 'DESIKER', 'Spikes Remover');
INSERT INTO ProcStep (Ident, Mnem, Name) VALUES (11, 'CHIP_COMP', 'Chip Compression');
COMMIT;
