/*
 * Returns list of all UMS measurements with a pretty rich detalis given by columns
 */
SELECT m.Ident AS MeasId, l.Ident AS LocId, l.UrsiCode AS URSI, m.TimeUT, CAST(m.TimeUT AS CHAR(24)) AS strTimeUT, o.Ident AS OpModeId, o.Name AS OpModeName, o.isHK, 
    p1.DPIndex, p1.DPName, m.ProgramNo, m.ScheduleNo, m.LowerFreqHz, m.UpperFreqHz, m.TxModeId, tm.name AS TxModeName, lt.Ident AS TxD2DId, 
    lt.UrsiCode AS TxD2DURSI, b.Name AS Beacon, bt.Name AS BeaconType, p2.DPIndex AS DPIndexApp, p2.DPName AS DPNameApp, d.Length
    FROM Measurement m JOIN MeasData d ON d.MeasurementId=m.Ident 
        JOIN Location l ON l.Ident=m.LocationId 
        LEFT JOIN TxStation txd ON txd.Ident=m.TxStationId AND txd.TypeId=1 
        LEFT JOIN Location lt ON lt.Ident=txd.LocationId AND txd.TypeId=1 
        LEFT JOIN TxStation txb ON txb.Ident=m.TxStationId AND txb.TypeId=2 
        LEFT JOIN Beacon b ON b.Ident=txb.LocationId AND txb.TypeId=2
        LEFT JOIN BeaconType bt ON b.typeId=bt.Ident
        JOIN OpMode o ON m.OpModeId = o.Ident 
        JOIN TxMode tm ON m.TxModeId=tm.Ident 
        JOIN DataProc p1 ON p1.OpModeId = m.OpModeId AND p1.DPIndex = m.DPIndex
        JOIN DataProc p2 ON p2.OpModeId = d.OpModeId AND p2.DPIndex = d.DPIndexApp;