SELECT m.Ident AS MeasId, l.Ident AS LocId, l.UrsiCode AS URSI, m.TimeUT, CAST(m.TimeUT AS CHAR(24)),  
    p1.DPIndex, p1.DPName, m.ProgramNo, m.ScheduleNo, m.LowerFreqHz, m.UpperFreqHz, b.Name AS Beacon, bt.Name AS "Beacon type", 
    p2.DPIndex AS AppDPIndex, p2.DPName AS AppDPName, d.Length
    FROM Measurement m JOIN MeasData d ON d.MeasurementId=m.Ident 
        JOIN Location l ON l.Ident=m.LocationId 
        LEFT JOIN TxStation txb ON txb.Ident=m.TxStationId AND txb.TypeId=2 
        LEFT JOIN Beacon b ON b.Ident=txb.LocationId AND txb.TypeId=2
        LEFT JOIN BeaconType bt ON b.typeId=bt.Ident
        JOIN DataProc p1 ON p1.OpModeId = m.OpModeId AND p1.DPIndex = m.DPIndex
        JOIN DataProc p2 ON p2.OpModeId = d.OpModeId AND p2.DPIndex = d.DPIndexApp
        WHERE m.OpModeId=1 AND m.TxModeId=3