SELECT m.Ident AS MeasId, l.Ident AS LocId, l.UrsiCode AS URSI, m.TimeUT, CAST(m.TimeUT AS CHAR(24)), p1.DPIndex, p1.DPName, m.ProgramNo, 
    m.ScheduleNo, m.LowerFreqHz, m.UpperFreqHz, rcv.MeasId AS RcvMeasId, rcv.LocId AS RcvLocId, rcv.UrsiCode AS RcvURSI, p2.DPIndex AS AppDPIndex, p2.DPName AS AppDPName, d.Length
    FROM Measurement m JOIN MeasData d ON d.MeasurementId=m.Ident 
        JOIN Location l ON l.Ident=m.LocationId 
        JOIN (SELECT mr.TimeUT, lt.Ident AS TxIdent, mr.Ident AS MeasId, lr.Ident AS LocId, lr.UrsiCode
            FROM Measurement mr 
            JOIN Location lr ON lr.Ident=mr.LocationId 
            JOIN TxStation tx ON tx.Ident=mr.TxStationId 
            JOIN Location lt ON lt.Ident=tx.LocationId 
            WHERE mr.OpModeId=1 AND mr.TxModeId=4) rcv ON rcv.TimeUT=m.TimeUT AND rcv.TxIdent=l.Ident 
        JOIN DataProc p1 ON (p1.OpModeId = m.OpModeId AND p1.DPIndex = m.DPIndex)
        JOIN DataProc p2 ON (p2.OpModeId = d.OpModeId AND p2.DPIndex = d.DPIndexApp)
        WHERE m.OpModeId=1 AND m.TxModeId=2 
        ORDER BY m.TimeUT, l.UrsiCode