/*******************************************************************************
******************************************************************************** 
**
**   Database: LOUI
**
********************************************************************************
********************************************************************************/

/* Fill some dictionary-like tables */

/* Fill Ionosonde table */

INSERT INTO Ionosonde ( Ident, Name ) VALUES ( 0, 'UNKNOWN' );
INSERT INTO Ionosonde ( Ident, Name ) VALUES ( 1, 'DGS-256' );
INSERT INTO Ionosonde ( Ident, Name ) VALUES ( 2, 'DPS-1' );
INSERT INTO Ionosonde ( Ident, Name ) VALUES ( 3, 'DPS-4' );
INSERT INTO Ionosonde ( Ident, Name ) VALUES ( 4, 'DPS-4S' );
INSERT INTO Ionosonde ( Ident, Name ) VALUES ( 5, 'DPS-4D' );
COMMIT;


/* Fill Units table */

INSERT INTO Units ( Ident, Name, Description ) VALUES ( 0, 'unknown', 'unknown' );
INSERT INTO Units ( Ident, Name, Description ) VALUES ( 1, 'MHz', 'Megahertz' );
INSERT INTO Units ( Ident, Name, Description ) VALUES ( 2, 'km', 'kilometer' );
INSERT INTO Units ( Ident, Name, Description ) VALUES ( 3, '10^16 m^-2', 'electron content unit' );
INSERT INTO Units ( Ident, Name, Description ) VALUES ( 4, '', 'constant/ratio/coef' );
INSERT INTO Units ( Ident, Name, Description, IsLookup ) VALUES ( 5, '', 'dictionary values', 1 );
COMMIT;


/* Fill UnitsLookup table */
/*
INSERT INTO UnitsLookup ( UnitsID, Number, Name, Description ) VALUES ( 5, 0, ' ', 'NoValue' );
INSERT INTO UnitsLookup ( UnitsID, Number, Name, Description ) VALUES ( 5, 1, 'A', 'Auroral' );
INSERT INTO UnitsLookup ( UnitsID, Number, Name, Description ) VALUES ( 5, 2, 'C', 'Cusp' );
INSERT INTO UnitsLookup ( UnitsID, Number, Name, Description ) VALUES ( 5, 3, 'D', 'below 95 km' );
INSERT INTO UnitsLookup ( UnitsID, Number, Name, Description ) VALUES ( 5, 4, 'F', 'Flat' );
INSERT INTO UnitsLookup ( UnitsID, Number, Name, Description ) VALUES ( 5, 5, 'H', 'Height discontinuity with normal E' );
INSERT INTO UnitsLookup ( UnitsID, Number, Name, Description ) VALUES ( 5, 6, 'K', 'in the presence of night E' );
INSERT INTO UnitsLookup ( UnitsID, Number, Name, Description ) VALUES ( 5, 7, 'L', 'Flat Es below E' );
INSERT INTO UnitsLookup ( UnitsID, Number, Name, Description ) VALUES ( 5, 8, 'N', 'Non-standard' );
INSERT INTO UnitsLookup ( UnitsID, Number, Name, Description ) VALUES ( 5, 9, 'Q', 'Diffuse and non-blanketing' );
INSERT INTO UnitsLookup ( UnitsID, Number, Name, Description ) VALUES ( 5,10, 'R', 'Retardation' );
*/

/* Fill ParamCat table */
/*
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES (  1, 'foF2', 'F2 layer critical frequency', 6, 3, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES (  2, 'foF1', 'F1 layer critical frequency', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES (  3, 'MD', 'MUF(D)/foF2', 4, 2, 0, 4, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES (  4, 'MUFD', 'Maximum usable frequency for ground distance D', 5, 2, 0, 1, 0.0, 99.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES (  5, 'fmin', 'Minimum frequency of ionogram echoes', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES (  6, 'foEs', 'Es layer critical frequency', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES (  7, 'fminF', 'Minimum frequency of F-layer echoes', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES (  8, 'fminE', 'Minimum frequency of E-layer echoes', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES (  9, 'foE', 'E layer critical frequency', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 10, 'fxI', 'Maximum frequency of F trace', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 11, 'hF', 'Minimum virtual height of F trace', 6, 1, 0, 2, 0.0, 1300.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 12, 'hF2', 'Minimum virtual height of F2 trace', 6, 1, 0, 2, 0.0, 1300.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 13, 'hE', 'Minimum virtual height of E trace', 6, 1, 0, 2, 0.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 14, 'hEs', 'Minimum virtual height of Es trace', 6, 1, 0, 2, 0.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 15, 'hmE', 'Peak height of E-layer', 6, 1, 0, 2, 0.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 16, 'yE', 'Half thickness of E-layer', 6, 1, 0, 2, -5.0, 200.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 17, 'QF', 'Average range spread of F-layer', 6, 1, 0, 2, 0.0, 1500.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 18, 'QE', 'Average range spread of E-layer', 6, 1, 0, 2, 0.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 19, 'DownF', 'Lowering of F-trace to the leading edge', 6, 1, 0, 2, -100.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 20, 'DownE', 'Lowering of E-trace to the leading edge', 6, 1, 0, 2, -50.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 21, 'DownEs', 'Lowering of Es-trace to the leading edge', 6, 1, 0, 2, -50.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 22, 'FF', 'Frequence spread between fxF2 and fxI', 5, 2, 0, 1, 0.0, 99.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 23, 'FE', 'Frequence spread beyond foE', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 24, 'D', 'Distance for MUF calculation', 6, 1, 0, 2, 0.0, 3000.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 25, 'fMUF', 'MUF/OblFactor', 5, 2, 0, 1, 0.0, 50.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 26, 'hfMUF', 'Virtual height at MUF/OblFactor frequency', 6, 1, 0, 1, 0.0, 1500.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 27, 'dltfoF2', 'Adjustment to the scaled foF2 during profile inversion', 5, 3, 0, 1, -10.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 28, 'foEp', 'Predicted value of foE', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 29, 'fhF)', 'Frequency at which h`F occurs', 5, 2, 0, 1, 0.0, 99.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 30, 'fhF2)', 'Frequency at which h`F2 occurs', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 31, 'foF1p', 'Predicted value of foF1', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 32, 'hmF2', 'Peak height F2-layer', 6, 1, 0, 2, 0.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 33, 'hmF1', 'Peak height F1-layer', 6, 1, 0, 2, 0.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 34, 'zhalfNm', 'The true height at half the maximum density in the F2-layer', 6, 1, 0, 2, 0.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 35, 'foF2p', 'Predicted value of foF2', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 36, 'fminEs', 'Minimum frequency of Es-layer', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 37, 'yF2', 'Half thickness of F2-layer, parabolic model', 6, 1, 0, 2, 0.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 38, 'yF1', 'Half thickness of F1-layer, parabolic model', 6, 1, 0, 2, -3.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 39, 'TEC', 'Total electron content', 5, 1, 0, 3, 0.0, 500.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 40, 'scaleF2', 'Scale hieght at the F2-peak', 6, 1, 0, 2, 0.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 41, 'B0', 'IRI thickness parameter', 5, 1, 0, 2, 0.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 42, 'B1', 'IRI profile shape parameter', 4, 2, 0, 4, 0.00, 100.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 43, 'D1', 'IRI profile shape parameter, F1-layer', 4, 2, 0, 4, 0.00, 100.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 44, 'foEa', 'Critical frequency of auroral E-layer', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 45, 'hEa', 'Minimum virtual height of auroral E-layer trace', 6, 1, 0, 2, 0.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 46, 'foP', 'Highest ordinary wave critical frequency of F region patch trace', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 47, 'hP', 'Minimum virtual height of the trace used to determinate foP', 6, 1, 0, 2, 0.0, 990.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 48, 'fbEs', 'Blanketing frequency of Es-layer', 5, 2, 0, 1, 0.0, 40.0, 9999.000 );
INSERT INTO ParamCat ( Ident, Name, Description, Width, Fraction, Exponent, UnitsID, MinValue, MaxValue, FillValue )
             VALUES ( 49, 'TypeEs', 'Type Es', 4, 1, 0, 5,
               (SELECT MIN(Number) FROM UnitsLookup WHERE UnitsID = 5),
               (SELECT MAX(Number) FROM UnitsLookup WHERE UnitsID = 5),
               9999.000 );
COMMIT;
*/

/* Fill Ant_Pattern table */

INSERT INTO AntPattern ( Ident,  Name, Description )
                VALUES (    -1, 'unknown', '' );
INSERT INTO AntPattern ( Ident,  Name, Description )
                VALUES (     0, 'Standard per Manual', '' );
INSERT INTO AntPattern ( Ident,  Name, Description )
                VALUES (     1, '180 deg rotation', 'Karachi,Pakistan, Beijing,China, Kokubunji,Japan' );
INSERT INTO AntPattern ( Ident,  Name, Description )
                VALUES (     2, 'Mirror Image', 'Millstone, Beveridge, Goose Bay' );
INSERT INTO AntPattern ( Ident,  Name, Description )
                VALUES (     3, 'None of the above', '' );
COMMIT;


/* Fill Ant_Rotation table */

INSERT INTO AntRotation ( Ident, Name, Description )
                 VALUES (    -1, 'unknown', '' );
INSERT INTO AntRotation ( Ident, Name, Description )
                 VALUES (     0, 'clockwise', '' );
INSERT INTO AntRotation ( Ident, Name, Description )
                 VALUES (     1, 'counter-clockwise', '' );
COMMIT;


/* Fill Format table */

INSERT INTO Format ( Ident, Name, Description ) VALUES ( 6, 'RSF', 'RSF binary 4096 times N byte file' );
INSERT INTO Format ( Ident, Name, Description ) VALUES ( 8, 'OISXML', 'SAO.XML scaling file in text format' );
INSERT INTO Format ( Ident, Name, Description ) VALUES ( 9, 'ING', 'UMS ionogram format' );
COMMIT;

