/*
CONNECT 'data:/ext/db/ib/rpi.gdb' USER 'sysdba' PASSWORD 'masterkey';
COMMIT;
*/

/* Fill some dictionary-like tables */

/* Fill DataBin table */

INSERT INTO DATABIN ( IDENT, NAME ) VALUES (  0, 'NO_DATA' );
INSERT INTO DATABIN ( IDENT, NAME ) VALUES (  1, 'CAL' );
INSERT INTO DATABIN ( IDENT, NAME ) VALUES (  2, 'DBD' );
INSERT INTO DATABIN ( IDENT, NAME ) VALUES (  3, 'LTD' );
INSERT INTO DATABIN ( IDENT, NAME ) VALUES (  4, 'SMD' );
INSERT INTO DATABIN ( IDENT, NAME ) VALUES (  5, 'SBD' );
INSERT INTO DATABIN ( IDENT, NAME ) VALUES (  6, 'PRD' );
INSERT INTO DATABIN ( IDENT, NAME ) VALUES (  7, 'SSD' );
INSERT INTO DATABIN ( IDENT, NAME ) VALUES (  8, 'TTD' );
INSERT INTO DATABIN ( IDENT, NAME ) VALUES (  9, 'PL' );
INSERT INTO DATABIN ( IDENT, NAME ) VALUES ( 10, 'DS' );
INSERT INTO DATABIN ( IDENT, NAME ) VALUES ( 11, 'FF' );
COMMIT;

/* Fill HKType table */

INSERT INTO HKTYPE ( IDENT, NAME ) VALUES (  2, 'HK' );
INSERT INTO HKTYPE ( IDENT, NAME ) VALUES (  4, 'SRD' );
INSERT INTO HKTYPE ( IDENT, NAME ) VALUES (  6, 'MSG' );
INSERT INTO HKTYPE ( IDENT, NAME ) VALUES (  8, 'ECH' );
COMMIT;

/* Fill OpMode table */

INSERT INTO OPMODE ( IDENT, NAME ) VALUES ( 0, 'STANDBY' );
INSERT INTO OPMODE ( IDENT, NAME ) VALUES ( 1, 'CALIBRATION' );
INSERT INTO OPMODE ( IDENT, NAME ) VALUES ( 2, 'RELAXATION' );
INSERT INTO OPMODE ( IDENT, NAME ) VALUES ( 3, 'SOUNDING' );
INSERT INTO OPMODE ( IDENT, NAME ) VALUES ( 4, 'THERMAL' );
INSERT INTO OPMODE ( IDENT, NAME ) VALUES ( 5, 'WHISTLER' );
INSERT INTO OPMODE ( IDENT, NAME ) VALUES ( 6, 'TEST PATTERN' );
COMMIT;

/* Fill WaveForm table */

INSERT INTO WAVEFORM ( IDENT, NAME ) VALUES ( 0, 'PASSIVE' );
INSERT INTO WAVEFORM ( IDENT, NAME ) VALUES ( 1, '16 CHIP' );
INSERT INTO WAVEFORM ( IDENT, NAME ) VALUES ( 2, 'CHIRP' );
INSERT INTO WAVEFORM ( IDENT, NAME ) VALUES ( 3, 'SPS' );
INSERT INTO WAVEFORM ( IDENT, NAME ) VALUES ( 4, 'LONG' );
INSERT INTO WAVEFORM ( IDENT, NAME ) VALUES ( 5, 'SHORT' );
INSERT INTO WAVEFORM ( IDENT, NAME ) VALUES ( 6, '0.5S' );
INSERT INTO WAVEFORM ( IDENT, NAME ) VALUES ( 7, '1.95S' );
INSERT INTO WAVEFORM ( IDENT, NAME ) VALUES ( 8, '8 CHIP' );
INSERT INTO WAVEFORM ( IDENT, NAME ) VALUES ( 9, '4 CHIP' );
COMMIT;

/* Fill TxAntenna table */

INSERT INTO TXANTENNA ( IDENT, NAME ) VALUES (  1, 'radio silence' );
INSERT INTO TXANTENNA ( IDENT, NAME ) VALUES (  2, 'X only' );
INSERT INTO TXANTENNA ( IDENT, NAME ) VALUES (  3, 'Y only' );
INSERT INTO TXANTENNA ( IDENT, NAME ) VALUES (  4, 'linear' );
INSERT INTO TXANTENNA ( IDENT, NAME ) VALUES (  5, 'RH circular' );
INSERT INTO TXANTENNA ( IDENT, NAME ) VALUES (  6, 'LH circular' );
INSERT INTO TXANTENNA ( IDENT, NAME ) VALUES (  7, 'RH+LH circular' );
INSERT INTO TXANTENNA ( IDENT, NAME ) VALUES (  8, 'Lin+Lin90' );
COMMIT;

/* Fill RateCat table */

INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     1, 'PP'        , 'Plasmapause'    );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     2, 'MP'        , 'Magnetopause'   );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (  3   , 'CUS'       , 'Cusp'           );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES (  4   , 'DUC'       , 'Ducted'         );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES (  5   , 'RES',      'Resonances'     );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES (  6   , 'DIR',      'Directions'     );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES (  7   , 'OTH'       , 'Others'         );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES (  8   , 'TRA'       , 'Number of traces' );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES (  9   , 'UMR'       , 'Unmatched resonances' );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES ( 10   , 'PCAP'      , 'Polar cap' );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES ( 11   , 'EPS'       , 'Epsilon signature' );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES ( 12   , 'INPS'      , 'Inside Plasmasphere' );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES ( 13   , 'PRF'       , 'Profile' );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES ( 14   , 'PCE'       , 'PC echoes' );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES ( 15   , 'Z'         , 'Z-mode echoes' );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES ( 16   , 'WHI'       , 'Whistler mode echoes' );
INSERT INTO RATECAT ( IDENT, SHORTNAME   , FULLNAME )
             VALUES ( 17   , 'PTR'       , 'Plasma Trough' );
COMMIT;


/* Fill TrParCat table */

INSERT INTO TRPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     1, 'TSF'        , 'Trace start frequency'    );
INSERT INTO TRPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     2, 'TEF'        , 'Trace end frequency'    );
INSERT INTO TRPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     3, 'PSF'        , 'Profile start frequency'    );
INSERT INTO TRPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     4, 'PEF'        , 'Profile end frequency'    );
INSERT INTO TRPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     5, 'AZA'        , 'Azimuth in Antenna coordinates'    );
INSERT INTO TRPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     6, 'ELA'        , 'Elevation in Antenna coordinates'    );
INSERT INTO TRPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     7, 'PM'         , 'Process mode' );
COMMIT;

/* Fill TraceCat table */

INSERT INTO TRACECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     1, 'TF'         , 'Trace frequencies' );
INSERT INTO TRACECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     2, 'TR'         , 'Trace ranges'    );
INSERT INTO TRACECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     3, 'RFS'        , 'True Ranges from sattelite' );
INSERT INTO TRACECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     4, 'RFE'        , 'True Ranges from Earth' );
INSERT INTO TRACECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     5, 'FN'         , 'Profile Frequencies'       );
INSERT INTO TRACECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     6, 'NE'         , 'Electron Densities'  );
INSERT INTO TRACECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     7, 'RL'         , 'Profile Distance along field line from Earth' );
INSERT INTO TRACECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     8, 'GSM'        , 'Profile coordinates in GSM' ); // x, y, z
INSERT INTO TRACECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     9, 'SM'         , 'Profile coordinates in SM' ); // x, y, z
INSERT INTO TRACECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (    10, 'GM'         , 'Profile coordinates in GM' ); // lat, lon
INSERT INTO TRACECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (    11, 'FH'         , 'GYRO frequency in kHz' );
INSERT INTO TRACECAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (    12, 'BK'         , 'Angle between ray and field line ' );
COMMIT;

/* Fill ResParCat table */

INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     1, 'STATUS'     , 'Status of processing'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     2, 'FCE_0'      , 'Gyro frequency (fce, kHz) at start'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     3, 'FPE_0'      , 'Plasma frequency (fpe, kHz) at start'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     4, 'FCE_CHANGE' , 'fce change (kHz) during plasmagram'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     5, 'FPE_CHANGE' , 'fpe change (kHz) during plasmagram'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     6, 'FCE'        , 'Gyro frequency (fce, kHz)'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     7, 'FPE'        , 'Plasma frequency (fpe, kHz)'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     8, 'FT'         , 'Upper hybrid frequency, kHz'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     9, 'Z_CUTOFF'   , 'Z mode cutoff frequency, kHz'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (    10, 'X_CUTOFF'   , 'X mode cutoff frequency, kHz'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (    11, 'MODEL_VER'  , 'Model version'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (    12, 'F_VIS_NFCE' , 'First visible gyro harmonic within plasmagram'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (    13, 'L_VIS_NFCE' , 'Last visible gyro harmonic within plasmagram'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (    14, 'F_VIS_FQN' , 'First visible Q harmonic within plasmagram'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (    15, 'L_VIS_FQN' , 'Last visible Q harmonic within plasmagram'    );
INSERT INTO RESPARCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (    16, 'UNM_COUNT' , 'Total unmatched resonances'    );
COMMIT;

/* Fill ResCat table */

INSERT INTO RESCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     1, 'UNMATCHED'     , 'List of unmatched resonances (kHz)'    );
INSERT INTO RESCAT ( IDENT, SHORTNAME   , FULLNAME ) 
             VALUES (     2, 'FQN'     , 'List of fqn resonances [kHz], first n is stored'    );
COMMIT;

