/*  add couple of real stations */

INSERT INTO Station (Ident, UrsiCode, SID, Name, Lat, Lon, Description) VALUES (1, 'PQ052', 'Pruhonice', 50.0, 14.6, 'Czech Republic');
INSERT INTO Station (Ident, UrsiCode, SID, Name, Lat, Lon, Description) VALUES (2, 'JR055', 'Juliusruh', 54.6, 13.4, 'Germany');
INSERT INTO Station (Ident, UrsiCode, SID, Name, Lat, Lon, Description) VALUES (3, 'AT138', 'Athens', 38.0, 23.5, 'Greece');
INSERT INTO Station (Ident, UrsiCode, SID, Name, Lat, Lon, Description) VALUES (4, 'EB040', 'Roquetes', 40.8, 0.5, 'Spain');
INSERT INTO Station (Ident, UrsiCode, SID, Name, Lat, Lon, Description) VALUES (5, 'DB049', 'Dourbes', 50.1, 4.6, 'Belgium');

/* add all of them to TxStation table as well */

INSERT INTO TxStation (Ident, TypeId, StationId) 
	VALUES (1, (SELECT Ident FROM TxStationType WHERE Name='digisonde'), (SELECT Ident FROM Station WHERE UrsiCode='PQ052'));
INSERT INTO TxStation (Ident, TypeId, StationId) 
    VALUES (2, (SELECT Ident FROM TxStationType WHERE Name='digisonde'), (SELECT Ident FROM Station WHERE UrsiCode='JR055'));
INSERT INTO TxStation (Ident, TypeId, StationId) 
    VALUES (3, (SELECT Ident FROM TxStationType WHERE Name='digisonde'), (SELECT Ident FROM Station WHERE UrsiCode='AT138'));
INSERT INTO TxStation (Ident, TypeId, StationId) 
    VALUES (4, (SELECT Ident FROM TxStationType WHERE Name='digisonde'), (SELECT Ident FROM Station WHERE UrsiCode='EB040'));
INSERT INTO TxStation (Ident, TypeId, StationId) 
    VALUES (5, (SELECT Ident FROM TxStationType WHERE Name='digisonde'), (SELECT Ident FROM Station WHERE UrsiCode='DB049'));

/* Add one Radar */

INSERT INTO Beacon (Ident, TypeId, Code, Name, Lat, Lon) VALUES (1, 1, 'ESR', 'EISCAT Svalbard radar', 78.25, 15.27);

/* add one Options' Group and one set of Options for this Group */

INSERT INTO OptionsGroup (Ident, Name) VALUES (1, 'Skymap Calculating');

INSERT INTO OptionSetHeader (Ident, HashCode, SetSize) VALUES (1, 12345678, 2);

INSERT INTO OptionSet (OptionSetId, OptionsGroupId, Name, Val) VALUES (1, 1, 'Param1', 'Value1');
INSERT INTO OptionSet (OptionSetId, OptionsGroupId, Name, Val) VALUES (1, 1, 'Param2', 'Value2');

/* add data to those stations for some short period of time, with one or several track signals */

/* PQ052 --> JR055, dist 517.9 km, midpoint lat 52.3, lon 14.03 */ 

INSERT INTO TIDObservation 
     (Ident,  RefTimeUT,            ReceiverId,                                         TransmitterId) VALUES
     (    1, '2016.04.10 10:00:00', (SELECT Ident FROM Station WHERE UrsiCode='JR055'), (SELECT s.Ident FROM TxStation tx 
                                                                                            JOIN TxStationType st ON Tx.TypeId=st.Ident 
                                                                                            JOIN Station s ON Tx.StationId=s.Ident 
                                                                                            WHERE st.Name='digisonde' AND s.UrsiCode='PQ052') );

INSERT INTO TIDProc (Ident, TIDObsId, ProcId, OptionSetId, ELayerGroupPath_km, ELayerGPathFactor) VALUES 
                    (    1,        1,      1,           1,                100,              1.15);
INSERT INTO TIDFreq (Ident, TIDProcId, Freq_kHz) VALUES (1, 1, 8100);

INSERT INTO TrackHeader 
     (Ident, TidFreqId, Cadence_s, TrackLength, NumGaps, MedianPath_km) VALUES
     (    1,         1,       300,           8,       1,          1400);
INSERT INTO TrkTIDChars 
     (Ident, TrackId, RefLat_deg, RefLon_deg, RefAlt_km, WavePeriod_s, WaveLength_m, Amplitude_fact, WaveDir_deg, InitPhase_deg, Confidence, Uncertainty) VALUES
	 (    1,       1,       52.3,      14.03,       320,          620,       210000,           1.12,          15,             0,         66,          20);
UPDATE TrackHeader SET TrkTIDCharsId = 1 WHERE Ident = 1;
INSERT INTO TrackHeader 
     (Ident, TidFreqId, Cadence_s, TrackLength, NumGaps, MedianPath_km) VALUES
     (    2,         1,       300,          18,       2,          1420);
INSERT INTO TrkTIDChars 
     (Ident, TrackId, RefLat_deg, RefLon_deg, RefAlt_km, WavePeriod_s, WaveLength_m, Amplitude_fact, WaveDir_deg, InitPhase_deg, Confidence, Uncertainty) VALUES
	 (    2,       2,       52.3,      14.03,       320,          610,       205000,            1.1,          16,             0,         68,          18);
UPDATE TrackHeader SET TrkTIDCharsId = 2 WHERE Ident = 2;

INSERT INTO TIDProc (Ident, TIDObsId, ProcId, OptionSetId, ELayerGroupPath_km, ELayerGPathFactor) VALUES 
                    (    2,        1,      2,           1,                100,              1.15);
INSERT INTO TIDFreq (Ident, TIDProcId, Freq_kHz) VALUES (2, 2, 8100);

INSERT INTO TrackHeader 
     (Ident, TidFreqId, Cadence_s, TrackLength, NumGaps, MedianPath_km) VALUES
     (    3,         2,       300,           8,       2,          1450);
INSERT INTO TrkTIDChars 
     (Ident, TrackId, RefLat_deg, RefLon_deg, RefAlt_km, WavePeriod_s, WaveLength_m, Amplitude_fact, WaveDir_deg, InitPhase_deg, Confidence, Uncertainty) VALUES
	 (    3,       3,       52.3,      14.03,       320,          630,       230000,            1.2,          19,             0,         75,          13);
UPDATE TrackHeader SET TrkTIDCharsId = 3 WHERE Ident = 3;
INSERT INTO TrackHeader 
     (Ident, TidFreqId, Cadence_s, TrackLength, NumGaps, MedianPath_km) VALUES
     (    4,         2,       300,           8,       3,          1450);
INSERT INTO TrkTIDChars 
     (Ident, TrackId, RefLat_deg, RefLon_deg, RefAlt_km, WavePeriod_s, WaveLength_m, Amplitude_fact, WaveDir_deg, InitPhase_deg, Confidence, Uncertainty) VALUES
	 (    4,       4,       52.3,      14.03,       320,          625,       225000,           1.25,          20,             0,         72,          15);
UPDATE TrackHeader SET TrkTIDCharsId = 4 WHERE Ident = 4;



/* DB049 --> EB040, dist 1082 km, midpoint lat 45.47, lon 2.36 */ 

INSERT INTO TIDObservation 
     (Ident, RefTimeUT,             ReceiverId,                                         TransmitterId) VALUES
     (    2, '2016.04.10 10:00:00', (SELECT Ident FROM Station WHERE UrsiCode='EB040'), (SELECT s.Ident FROM TxStation tx 
                                                                                            JOIN TxStationType st ON Tx.TypeId=st.Ident 
                                                                                            JOIN Station s ON Tx.StationId=s.Ident 
                                                                                            WHERE st.Name='digisonde' AND s.UrsiCode='DB049') );

INSERT INTO TIDProc (Ident, TIDObsId, ProcId, OptionSetId, ELayerGroupPath_km, ELayerGPathFactor) VALUES 
                    (    3,        2,      1,           1,                100,              1.15);
INSERT INTO TIDFreq (Ident, TIDProcId, Freq_kHz) VALUES (3, 3, 7500);

INSERT INTO TrackHeader 
     (Ident, TidFreqId, Cadence_s, TrackLength, NumGaps, MedianPath_km) VALUES
     (    5,         3,       300,          16,       2,          2000);
INSERT INTO TrkTIDChars 
     (Ident, TrackId, RefLat_deg, RefLon_deg, RefAlt_km, WavePeriod_s, WaveLength_m, Amplitude_fact, WaveDir_deg, InitPhase_deg, Confidence, Uncertainty) VALUES
	 (    5,       5,       40.8,        0.5,       300,          550,       180000,            1.3,          15,             0,         80,          10);
UPDATE TrackHeader SET TrkTIDCharsId = 5 WHERE Ident = 5;

INSERT INTO TIDFreq (Ident, TIDProcId, Freq_kHz) VALUES (4, 3, 8500);
INSERT INTO TrackHeader 
     (Ident, TidFreqId, Cadence_s, TrackLength, NumGaps, MedianPath_km) VALUES
     (    6,         4,       300,          17,       2,          2100);
INSERT INTO TrkTIDChars 
     (Ident, TrackId, RefLat_deg, RefLon_deg, RefAlt_km, WavePeriod_s, WaveLength_m, Amplitude_fact, WaveDir_deg, InitPhase_deg, Confidence, Uncertainty) VALUES
	 (    6,       6,       40.8,        0.5,       300,          570,       195000,            1.4,          25,             0,         82,          13);
UPDATE TrackHeader SET TrkTIDCharsId = 6 WHERE Ident = 6;
INSERT INTO TrackHeader 
     (Ident, TidFreqId, Cadence_s, TrackLength, NumGaps, MedianPath_km) VALUES
     (    7,         4,       300,          17,       2,          2150);
INSERT INTO TrkTIDChars 
     (Ident, TrackId, RefLat_deg, RefLon_deg, RefAlt_km, WavePeriod_s, WaveLength_m, Amplitude_fact, WaveDir_deg, InitPhase_deg, Confidence, Uncertainty) VALUES
	 (    7,       7,       40.8,        0.5,       300,          580,       199000,            1.5,          27,             0,         83,          12);
UPDATE TrackHeader SET TrkTIDCharsId = 7 WHERE Ident = 7;
